Package org.apache.aries.jax.rs.rest.management.schema

## Class PropertiesAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<PropertiesAdapter.PropertiesAdapted,​Map<String,​Object>>
  - - org.apache.aries.jax.rs.rest.management.schema.PropertiesAdapter

    public class PropertiesAdapter
    extends XmlAdapter<PropertiesAdapter.PropertiesAdapted,​Map<String,​Object>>

### Nested Class Summary

Nested Classes
`static class` `PropertiesAdapter.PropertiesAdapted`
`static class` `PropertiesAdapter.Property`

### Constructor Summary

Constructors
`PropertiesAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PropertiesAdapter.PropertiesAdapted` `marshal​(Map<String,​Object> map)`
`Map<String,​Object>` `unmarshal​(PropertiesAdapter.PropertiesAdapted adapter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertiesAdapter

    public PropertiesAdapter()

### Method Detail

#### marshal

    public PropertiesAdapter.PropertiesAdapted marshal​(Map<String,​Object> map)
                                                throws Exception

Specified by:
  `marshal` in class `XmlAdapter<PropertiesAdapter.PropertiesAdapted,​Map<String,​Object>>`
Throws:
  `Exception`

#### unmarshal

    public Map<String,​Object> unmarshal​(PropertiesAdapter.PropertiesAdapted adapter)
                                       throws Exception

Specified by:
  `unmarshal` in class `XmlAdapter<PropertiesAdapter.PropertiesAdapted,​Map<String,​Object>>`
Throws:
  `Exception`